package mmj.mmasl;
import java.io.*;

public class MMInputStream extends InputStream {
	InputStream is;

    /**
     * java.io.InputStream stuff
     */
    public synchronized int read() throws IOException  {
	return(is.read());
    }

    public int get8() throws IOException {
	  int i=0;
	  try {
		i = read();
	  }	catch (IOException e) { throw(e); }
	  if (i == -1) {
		//		throw (new IOException());
		return(i);
	  }
	  return(i & 0xFF);
    }

    public int get16() throws IOException {
	try {
	  return(get8() | get8() << 8);
	}
	catch (IOException e) {
	  throw e;
	}
    }

    public long get32() throws IOException {
	try {
	  return(get8()       | get8() << 8 |
	         get8() << 16 | get8() << 24);
	}
	catch (IOException e) {
	  throw e;
	}
    }

    public MMInputStream(InputStream is) {
	this.is = is;
    }

    public int available() throws IOException {
      return is.available();
    }
}
