package mmj.mmasl.msc;

import mmj.MMJRuntime;
import mmj.Environment;

public class ASTAdditive extends FunctionalNode {
  public ASTAdditive(int id) {
    super(id);
  }

  public ASTAdditive(MSC p, int id) {
    super(p, id);
  }

  public boolean isStableArgumentCount(int i) { return(i==2); }

  public int evaluate(Environment p, MMJRuntime r) {
	return(children[0].evaluate(p,r) + children[1].evaluate(p,r));
  }
  public String toString() {
	return(children[0].toString() + "+" + children[1].toString());
  }
}
