package mmj.mmasl.msc;

import mmj.MMJRuntime;
import mmj.Environment;
import mmj.Expression;

public class ASTCDisp extends ASTCommandStatement {
  public ASTCDisp() { super(); }
  public ASTCDisp(int i) { super(i); }
  public ASTCDisp(MSC msc, int i) { super(msc, i); }

  public boolean isStabeArgumentCount(int i) { return(0<=i && i<=1); }

  public int evaluate(Environment e, MMJRuntime r) {
	if (e == null) return 0;
	int wait = (children == null || children.length == 0)
	  ? 0 : children[0].evaluate(e,r);

	e.waitTo(wait);
	if (r == null) return 0;
	//System.err.println("cdisp is not supprted, so work as disp.");
	r.transport();
	return(wait);
  }

  public String getName() {
	return("cdisp");
  }
}
