package mmj.mmasl.msc;

import mmj.MMJRuntime;
import mmj.Environment;
import mmj.Expression;

public class ASTDisp extends ASTCommandStatement {
  public ASTDisp() { super(); }
  public ASTDisp(int i) { super(i); }
  public ASTDisp(MSC msc, int i) { super(msc, i); }

  public boolean isStabeArgumentCount(int i) { return(0<=i && i<=1); }

  public int evaluate(Environment e, MMJRuntime r) {
	if (e == null) return 0;
	int wait = (children == null || children.length == 0)
	  ? 0 : children[0].evaluate(e,r);

	e.waitTo(wait);

	if (r == null) return 0;
	r.transport();
	return(wait);
  }

  public String getName() {
	return("disp");
  }
}
