package mmj.mmasl.msc;

import mmj.Expression;
import mmj.Environment;

public class ASTFor extends Loop {
  public ASTFor(int id) {
    super(id);
  }

  public ASTFor(MSC p, int id) {
    super(p, id);
  }

  Expression loop;
  public void setLoopCount(Expression e) {
	loop = e;
  }

  int count;
  public void preEvaluate(Environment e) {
	count = loop.evaluate(e, null);
  }
  protected void postEvaluate(Environment e) {
	count--;
  }
  protected boolean contCheck(Environment e) {
	return(0 < count);
  }
  public String toString() {
	return("for");
  }
  public String toString(String prefix) {
	StringBuffer sb = new StringBuffer();
	sb.append(prefix + "for (");
	sb.append(loop.toString());
	sb.append(")\n");
	sb.append(super.toString(prefix));
	return(sb.toString() + "\n");
  }
}
