package mmj.mmasl.msc;

import mmj.MMJRuntime;
import mmj.Environment;
import mmj.Expression;

public class ASTGMode extends ASTCommandStatement {
  public ASTGMode() { super(); }
  public ASTGMode(int i) { super(i); }
  public ASTGMode(MSC msc, int i) { super(msc, i); }

  public boolean isStabeArgumentCount(int i) { return(i==1); }

  public int evaluate(Environment e, MMJRuntime r) {
	if (r == null) return 0;
	int w,h;
	int mode = children[0].evaluate(e,r);
	switch (mode) {
	  case 3: w=640; h=480; break;
	  case 2: w=320; h=240; break;
	  case 1: w=640; h=400; break;
	default:
	  case 0: w=320; h=200; break;
	}
	r.setSize(w,h);
	return(mode);
  }

  public String getName() {
	return("gmode");
  }
}
