package mmj.mmasl.msc;

import mmj.Environment;
import mmj.Expression;

public class ASTJump extends ASTCommandStatement {
  public ASTJump() { super(); }
  public ASTJump(int i) { super(i); }
  public ASTJump(MSC msc, int i) { super(msc, i); }

  public boolean isStabeArgumentCount(int i) { return(i==1); }

  public Expression next(Environment e) {
	int i = children[0].evaluate(e, null);
	return(e.getLabel(i));
  }
  public String getName() {
	return("jump");
  }
}
