package mmj.mmasl.msc;

import mmj.MMJRuntime;
import mmj.Environment;
import mmj.MMJKey;

public class ASTKey extends SimpleNode {
  public ASTKey(int id) {
    super(id);
  }

  public ASTKey(MSC p, int id) {
    super(p, id);
  }

  int[] keys;
  public void set(int[] a) {
	keys = a;
  }
  public int evaluate(Environment e, MMJRuntime r) {
	int ret = 0;
	for (int i=0; i<keys.length; i++) {
	  ret <<= 1;
	  if (e.getKey(keys[i])) ret |= 1;
	}
	return(ret);
  }

  public String toString() {
	StringBuffer sb = new StringBuffer("key(");
	sb.append(MMJKey.getKeyName(keys[0]));
	for (int i=1; i<keys.length; i++) {
	  sb.append(" " + MMJKey.getKeyName(keys[i]));
	}
	sb.append(")");
	return(sb.toString());
  }
}
