package mmj.mmasl.msc;

import mmj.MMJRuntime;
import mmj.Environment;

public class ASTOption1 extends SimpleNode {
  public ASTOption1(int id) {
    super(id);
  }

  public ASTOption1(MSC p, int id) {
    super(p, id);
  }

  int id, id2;
  boolean two;
  public void set(int i) {
	id = i;
	two = false;
  }
  public void set(int i, int j) {
	id = i;
	id2 = j;
	two = true;
  }

  public int evaluate(Environment e, MMJRuntime r) {
	boolean b = two ? e.getOption1(id, id2) : e.getOption1(id);
	return(b ? 1 : 0);
  }

  public String toString() {
	StringBuffer sb = new StringBuffer("O");
	sb.append((char)(id+'a'));
	if (two) sb.append((char)(id2+'a'));
	return(sb.toString());
  }
}
