package mmj.mmasl.msc;

import mmj.MMJRuntime;
import mmj.Environment;
import mmj.Expression;

public class ASTPSetW extends ASTCommandStatement {
  public ASTPSetW() { super(); }
  public ASTPSetW(int i) { super(i); }
  public ASTPSetW(MSC msc, int i) { super(msc, i); }

  public boolean isStabeArgumentCount(int i) { return(i==3); }

  public int evaluate(Environment e, MMJRuntime r) {
	if (r == null) return 0;

	int x = children[0].evaluate(e,r);
	int y = children[1].evaluate(e,r);
	int p = children[2].evaluate(e,r);

	java.awt.Color c = r.getColor(p);
	r.drawLine(x,y,x+1,y,c);
	return(0);
  }

  public String getName() {
	return("psetw");
  }
}
