package mmj.mmasl.msc;

import mmj.MMJRuntime;
import mmj.Environment;
import mmj.Expression;

public class ASTWMove extends ASTCommandStatement {
  public ASTWMove() { super(); }
  public ASTWMove(int i) { super(i); }
  public ASTWMove(MSC msc, int i) { super(msc, i); }

  public boolean isStabeArgumentCount(int i) { return(i==2 || i==3); }

  public int evaluate(Environment e, MMJRuntime r) {
	if (r == null) return 0;

	int x = children[0].evaluate(e,r);
	int y = children[1].evaluate(e,r);
	int id = (children.length < 3) ? 0 : children[2].evaluate(e,r);

	r.setCopyFrom(id, x, y);
	return(id);
  }

  public String getName() {
	return("wmove");
  }
}
