package mmj;

public class Constant implements Expression {
  public static final Expression TRUE = new Constant(1);
  public static final Expression FALSE = new Constant(0);

  public Expression next(Environment e) { return null; }
  public void connect(Expression e) { }

  private int value;
  public Constant(int v) {
	value = v;
  }

  public int evaluate(Environment e, MMJRuntime r) {
	return(value);
  }
  public String toString() {
	return(Integer.toString(value));
  }
  public String getSource() {
	return(toString());
  }
}
