package mmj;

import java.awt.event.KeyEvent;

public abstract class MMJKey {
  public static final int KEY_SET   = 401;
  public static final int KEY_RESET = 402;

  public static final int VK_ALL = -1;

  public static final int VK_0 = 0;
  public static final int VK_1 = 1;
  public static final int VK_2 = 2;
  public static final int VK_3 = 3;
  public static final int VK_4 = 4;
  public static final int VK_5 = 5;
  public static final int VK_6 = 6;
  public static final int VK_7 = 7;
  public static final int VK_8 = 8;
  public static final int VK_9 = 9;

  public static final int VK_A = 10;
  public static final int VK_B = 11;
  public static final int VK_C = 12;
  public static final int VK_D = 13;
  public static final int VK_E = 14;
  public static final int VK_F = 15;
  public static final int VK_G = 16;
  public static final int VK_H = 17;
  public static final int VK_I = 18;
  public static final int VK_J = 19;
  public static final int VK_K = 20;
  public static final int VK_L = 21;
  public static final int VK_M = 22;
  public static final int VK_N = 23;
  public static final int VK_O = 24;
  public static final int VK_P = 25;
  public static final int VK_Q = 26;
  public static final int VK_R = 27;
  public static final int VK_S = 28;
  public static final int VK_T = 29;
  public static final int VK_U = 30;
  public static final int VK_V = 31;
  public static final int VK_W = 32;
  public static final int VK_X = 33;
  public static final int VK_Y = 34;
  public static final int VK_Z = 35;

  public static final int VK_ENTER      = 36;
  public static final int VK_TAB        = 37;
  public static final int VK_SPACE      = 38;
  public static final int VK_BACK_SPACE = 39;

  public static final int VK_F1  = 40;
  public static final int VK_F2  = 41;
  public static final int VK_F3  = 42;
  public static final int VK_F4  = 43;
  public static final int VK_F5  = 44;
  public static final int VK_F6  = 45;
  public static final int VK_F7  = 46;
  public static final int VK_F8  = 47;
  public static final int VK_F9  = 48;
  public static final int VK_F10 = 49;
  public static final int VK_F11 = 50;
  public static final int VK_F12 = 51;
  
  public static final int VK_OTHER = 52;

  public static final int VK_FIRST = VK_0;
  public static final int VK_LAST  = VK_OTHER;
  public static final int KEY_COUNT  = VK_LAST - VK_FIRST +1;

  public static String getKeyName(int k) {
	StringBuffer sb = new StringBuffer("");
	if (VK_0 <= k && k <= VK_9) {
	  char c = (char) ('0' + (k-VK_0));
	  sb.append(c);
	} else if (VK_A <= k && k <= VK_Z) {
	  char c = (char) ('A' + (k-VK_A));
	  sb.append(c);
	} else if (VK_F1 <= k && k <= VK_F12) {
	  sb.append('F');
	  sb.append(Integer.toString(k -VK_F1 +1));
	} else {
	  switch (k) {
	  case VK_ALL:        return "All";
	  case VK_ENTER:      return "Ret";
	  case VK_TAB:        return "Tab";
	  case VK_SPACE:      return "Spc";
	  case VK_BACK_SPACE: return "Bs";
	  case VK_OTHER:      return "Other";
	  }
	}
	return(new String(sb));
  }

  /*
  public static int char2MMKey(String s) {
	if ('0' <= c && '9' <= c) {
	  return(c - '0' + VK_0);
	} else if ('R')
  }
  */

  public static int convertAWTtoMM(int k) {
    if (KeyEvent.VK_0 <= k && k <= KeyEvent.VK_9) {
	  int i = k - KeyEvent.VK_0;
      return(i + VK_0);
    }
    else if (KeyEvent.VK_NUMPAD0 <= k && k <= KeyEvent.VK_NUMPAD9) {
	  int i = k - KeyEvent.VK_NUMPAD0;
      return(i + VK_0);
	}
	else if (KeyEvent.VK_A <= k && k <= KeyEvent.VK_Z) {
	  int i = k - KeyEvent.VK_A;
      return(i + VK_A);
    }

	else if (KeyEvent.VK_F1 <= k && k <= KeyEvent.VK_F12) {
	  int i = k - KeyEvent.VK_F1;
      return(i + VK_F1);
    }

	else if (k == KeyEvent.VK_LEFT) {
      return(VK_4);
    } else if (k == KeyEvent.VK_UP) {
      return(VK_8);
    } else if (k == KeyEvent.VK_RIGHT) {
      return(VK_6);
    } else if (k == KeyEvent.VK_DOWN) {
      return(VK_2);
	}

    else if (k == KeyEvent.VK_ENTER) {
      return(VK_ENTER);
    } else if (k == KeyEvent.VK_SPACE) {
      return(VK_SPACE);
    } else if (k == KeyEvent.VK_TAB) {
      return(VK_TAB);
    } else if (k == KeyEvent.VK_BACK_SPACE) {
      return(VK_BACK_SPACE);
    } else {
	  return VK_OTHER;
	}
  }	
}
