package mmj.main;

import mmj.util.*;
import mmj.*;
import java.awt.*;
import java.awt.event.*;
import java.util.*;

public class StepExecuter extends Container
implements ExecutionObserver, ActionListener {
  Executer exec;

  TextArea src;
  TextField current;
  Button execButton, stepButton, realButton, graphButton;
  Button pauseButton, contButton;

  public StepExecuter(Executer e, String s) {
	e.addObserver(this);
	exec = e;

	src = new TextArea(s, 25, 80);
	src.setEditable(false);
	current = new TextField(80);
	current.setEditable(false);
	(execButton = new Button("run")).addActionListener(this);
	(stepButton = new Button("next")).addActionListener(this);
	(realButton = new Button("next real")).addActionListener(this);
	(graphButton = new Button("next graphics")).addActionListener(this);
	(pauseButton = new Button("pause")).addActionListener(this);
	(contButton = new Button("continue")).addActionListener(this);

	setLayout(new BorderLayout());
	add(current, "North");
	add(src, "Center");
	{
	  /*
	  Container c = new SimpleContainer();
	  c.setLayout(new BorderLayout());
	  {
		Container c2 = new SimpleContainer();
		c2.setLayout(new GridLayout(6,1));
		c2.add(execButton);
		c2.add(stepButton);
		c2.add(realButton);
		c2.add(graphButton);
		c2.add(pauseButton);
		c2.add(contButton);
		c.add(c2, "North");
	  }
	  c.add(new SimpleComponent(), "Center");
	  */
	  Panel p = new Panel();
	  p.setLayout(new GridLayout(6,1));
	  p.add(execButton);
	  p.add(stepButton);
	  p.add(realButton);
	  p.add(graphButton);
	  p.add(pauseButton);
	  p.add(contButton);
	  add(p, "East");
	}
  }
  protected void finalize() throws Throwable {
	exec = null;
	super.finalize();
  }
  
  public void update(Expression e) {
	current.setText(e.toString());
  }

  public void actionPerformed(ActionEvent ev) {
	Object o = ev.getSource();
	current.setText("");
	if (o.equals(execButton))
	  exec.execute();
	else if (o.equals(stepButton))
	  exec.executeNext();
	else if (o.equals(realButton))
	  exec.executeNext(exec.FLAG_REAL);
	else if (o.equals(graphButton))
	  exec.executeNext(exec.FLAG_GRAPHICS);
	else if (o.equals(pauseButton))
	  exec.pause();
	else if (o.equals(contButton))
	  exec.play();
  }
}
