package mmj.mmasl.msc;

import mmj.MMJRuntime;
import mmj.Environment;
import mmj.Expression;

public class ASTBox extends ASTCommandStatement {
  public ASTBox() { super(); }
  public ASTBox(int i) { super(i); }
  public ASTBox(MSC msc, int i) { super(msc, i); }

  public boolean isStabeArgumentCount(int i) { return(i==5); }

  public int evaluate(Environment e, MMJRuntime r) {
	if (r == null) return 0;
	int x1 = children[0].evaluate(e,r);
	int y1 = children[1].evaluate(e,r);
	int x2 = children[2].evaluate(e,r);
	int y2 = children[3].evaluate(e,r);
	int p = children[4].evaluate(e,r);
	java.awt.Color c = r.getColor(p); 
	r.fillRect(x1,y1, x2-x1+1, y2-y1+1, c);
	return(0);
  }

  public String getName() {
	return("box");
  }
}
