package mmj.mmasl.msc;

import mmj.Environment;
import mmj.Expression;

public class ASTCall extends ASTJump {
  public ASTCall() { super(); }
  public ASTCall(int i) { super(i); }
  public ASTCall(MSC msc, int i) { super(msc, i); }

  public boolean isStabeArgumentCount(int i) { return(i==1); }

  public Expression next(Environment e) {
	e.push(nextBranch(e));
	return(super.next(e));
  }
  public String getName() {
	return("call");
  }
}
