package mmj.mmasl.msc;

import mmj.MMJRuntime;
import mmj.Environment;
import mmj.Expression;

public class ASTCount extends ASTCommandStatement {
  public ASTCount() { super(); }
  public ASTCount(int i) { super(i); }
  public ASTCount(MSC msc, int i) { super(msc, i); }

  public boolean isStabeArgumentCount(int i) { return(i==1); }

  public int evaluate(Environment e, MMJRuntime r) {
	if (e == null) return 0;
	int f = children[0].evaluate(e,r);
	e.setFrequency(f);
	return(f);
  }

  public String getName() {
	return("count");
  }
}
