package mmj.mmasl.msc;

import mmj.MMJRuntime;
import mmj.Environment;
import mmj.Expression;

public class ASTD extends ASTCommandStatement {
  public ASTD() { super(); }
  public ASTD(int i) { super(i); }
  public ASTD(MSC msc, int i) { super(msc, i); }

  public boolean isStabeArgumentCount(int i) { return(1<=i && i<=3); }

  public int evaluate(Environment e, MMJRuntime r) {
	if (r == null) return 0;

	int id = children[0].evaluate(e,r);
	int x = (children.length < 2) ? 0 : children[1].evaluate(e,r);
	int y = (children.length < 3) ? 0 : children[2].evaluate(e,r);

	r.drawImage(id, x, y);
	return(id);
  }

  public String getName() {
	return("d");
  }
}
