package mmj.mmasl.msc;

import mmj.MMJRuntime;
import mmj.Expression;
import mmj.Environment;

public class ASTFunction extends SimpleNode {
  public ASTFunction(int id) {
    super(id);
  }

  public ASTFunction(MSC p, int id) {
    super(p, id);
  }

  int id;
  public void set(int i) {
	id = i;
  }
  public int evaluate(Environment e, MMJRuntime r) {
	if (r==null) return(0);
	switch (id) {
	case 0: return(r.getImageCount());
	case 1: return(r.getPCMCount());
	case 2: return(r.getPaletteCount());
	case 3: 
	case 4: 
	case 5: 
	case 6: return(r.isGModeAvailable(id-3) ? 1 : 0);
	default: return 1;
	}
  }
  public String toString() {
	return("function(" + id + ")");
  }
}
