package mmj.mmasl.msc;

import mmj.MMJRuntime;
import mmj.Environment;
import mmj.Expression;

public class ASTM extends ASTCommandStatement {
  public ASTM() { super(); }
  public ASTM(int i) { super(i); }
  public ASTM(MSC msc, int i) { super(msc, i); }

  public boolean isStabeArgumentCount(int i) { return(i==6); }

  public int evaluate(Environment e, MMJRuntime r) {
	if (r == null) return 0;

	int x1 = children[0].evaluate(e,r);
	int y1 = children[1].evaluate(e,r);
	int x2 = children[2].evaluate(e,r);
	int y2 = children[3].evaluate(e,r);
	int w = children[4].evaluate(e,r);
	int h = children[5].evaluate(e,r);

	r.copyArea(x1,y1, w,h, x2-x1,y2-y1);
	return(0);
  }

  public String getName() {
	return("m");
  }
}
