package mmj.mmasl.msc;

import mmj.MMJRuntime;
import mmj.Environment;
import mmj.Expression;

public class ASTPointW extends ASTCommandStatement {
  public ASTPointW() { super(); }
  public ASTPointW(int i) { super(i); }
  public ASTPointW(MSC msc, int i) { super(msc, i); }

  public boolean isStabeArgumentCount(int i) { return(i==3); }

  public int evaluate(Environment e, MMJRuntime r) {
	if (r == null) return 0;

	int var = children[0].evaluate(e,r);
	int x = children[1].evaluate(e,r);
	int y = children[2].evaluate(e,r);
System.err.println("in current, pointw is not supported.");
	return(0);
  }

  public String getName() {
	return("pointw");
  }
}
