package mmj.mmasl.msc;

import mmj.MMJRuntime;
import mmj.Environment;
import mmj.Expression;

public class ASTT extends ASTCommandStatement {
  public ASTT() { super(); }
  public ASTT(int i) { super(i); }
  public ASTT(MSC msc, int i) { super(msc, i); }

  public boolean isStabeArgumentCount(int i) { return(i==1); }

  public int evaluate(Environment e, MMJRuntime r) {
	if (e == null) return 0;
	int wait = children[0].evaluate(e,r);

	e.waitTo(wait);
	return(wait);
  }

  public String getName() {
	return("t");
  }
}
