package mmj.mmasl.msc;

import mmj.MMJRuntime;
import mmj.Environment;

public class ASTVariable extends FunctionalNode {
  public ASTVariable(int id) {
    super(id);
  }

  public ASTVariable(MSC p, int id) {
    super(p, id);
  }

  public boolean isStableArgumentCount(int i) { return(i==1); }

  public int evaluate(Environment e, MMJRuntime r) {
	if (e == null) return(0);
	else return(e.getVariable(children[0].evaluate(e,r)));
  }
  public String toString() {
	return("@" + children[0].toString());
  }
}
