package mmj.mmasl.msc;

import mmj.MMJRuntime;
import mmj.Environment;
import mmj.Expression;

public class ASTWSize extends ASTCommandStatement {
  public ASTWSize() { super(); }
  public ASTWSize(int i) { super(i); }
  public ASTWSize(MSC msc, int i) { super(msc, i); }

  public boolean isStabeArgumentCount(int i) { return(i==4 || i==5); }

  public int evaluate(Environment e, MMJRuntime r) {
	if (r == null) return 0;

	int p[] = new int[4];
	for (int i=0; i<4; i++)
	  p[i] = children[i].evaluate(e,r);
	int id = (children.length < 5) ? 0 : children[4].evaluate(e,r);

	r.openWindow(id, p[0], p[1], p[2], p[3]);
	return(id);
  }

  public String getName() {
	return("wsize");
  }
}
