package mmj.mmasl.msc;

import mmj.Expression;
import mmj.Environment;

public class ASTWhile extends Loop {
  public ASTWhile(int id) {
    super(id);
  }

  public ASTWhile(MSC p, int id) {
    super(p, id);
  }

  Expression cond;
  public void setCondition(Expression e) {
	cond = e;
  }

  public void preEvaluate(Environment e) { }
  protected void postEvaluate(Environment e) { }
  protected boolean contCheck(Environment e) {
	return(cond.evaluate(e,null) != 0);
  }
  public String toString() {
	return("while");
  }
  public String toString(String prefix) {
	StringBuffer sb = new StringBuffer();
	sb.append(prefix + "while (");
	sb.append(cond.toString());
	sb.append(")\n");
	sb.append(super.toString(prefix));
	return(sb.toString() + "\n");
  }
}
