package mmj.util;

import java.awt.*;

public class ImageFactory {
  private static final Frame f = new Frame();
  private static final MediaTracker mt = new MediaTracker(f);
  static {
	f.addNotify();
  }

  public static Image create(int w, int h) {
	Image im = f.createImage(w,h);
	mt.addImage(im,0);
	try {
	  mt.waitForID(0);
	} catch (InterruptedException e) { }

	return(im);
  }
}
